com.genesyslab.wfm8.API.service.forecast800

## Class FrcSplitResult

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcSplitResult

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcSplitResult
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `buid` Business Unit ID
    `private static long` | `serialVersionUID`
    `protected double` | `sourceInteractionVolume` Interaction Volume before split
    `protected double` | `targetInteractionVolume` Not split Interaction Volume
    `protected int` | `virtualActivityID` Multi-site Activity ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcSplitResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getBUID()` Gets the buid value for this FrcSplitResult.
    `double` | `getSourceInteractionVolume()` Gets the sourceInteractionVolume value for this FrcSplitResult.
    `double` | `getTargetInteractionVolume()` Gets the targetInteractionVolume value for this FrcSplitResult.
    `int` | `getVirtualActivityID()` Gets the virtualActivityID value for this FrcSplitResult.
    `int` | `hashCode()`
    `void` | `setBUID(int buid)` Sets the buid value for this FrcSplitResult.
    `void` | `setSourceInteractionVolume(double sourceInteractionVolume)` Sets the sourceInteractionVolume value for this FrcSplitResult.
    `void` | `setTargetInteractionVolume(double targetInteractionVolume)` Sets the targetInteractionVolume value for this FrcSplitResult.
    `void` | `setVirtualActivityID(int virtualActivityID)` Sets the virtualActivityID value for this FrcSplitResult.
    `java.lang.String` | `toString()`
    `FrcSplitResult` | `withBUID(int value)`
    `FrcSplitResult` | `withSourceInteractionVolume(double value)`
    `FrcSplitResult` | `withTargetInteractionVolume(double value)`
    `FrcSplitResult` | `withVirtualActivityID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### buid

          protected int buid

      Business Unit ID

    - #### virtualActivityID

          protected int virtualActivityID

      Multi-site Activity ID

    - #### sourceInteractionVolume

          protected double sourceInteractionVolume

      Interaction Volume before split

    - #### targetInteractionVolume

          protected double targetInteractionVolume

      Not split Interaction Volume

  - ### Constructor Detail

    - #### FrcSplitResult

          public FrcSplitResult()

  - ### Method Detail

    - #### getBUID

          public int getBUID()

      Gets the buid value for this FrcSplitResult.
      Returns:
        buid

    - #### setBUID

          public void setBUID(int buid)

      Sets the buid value for this FrcSplitResult.
      Parameters:
        `buid` -

    - #### getVirtualActivityID

          public int getVirtualActivityID()

      Gets the virtualActivityID value for this FrcSplitResult.
      Returns:
        virtualActivityID

    - #### setVirtualActivityID

          public void setVirtualActivityID(int virtualActivityID)

      Sets the virtualActivityID value for this FrcSplitResult.
      Parameters:
        `virtualActivityID` -

    - #### getSourceInteractionVolume

          public double getSourceInteractionVolume()

      Gets the sourceInteractionVolume value for this FrcSplitResult.
      Returns:
        sourceInteractionVolume

    - #### setSourceInteractionVolume

          public void setSourceInteractionVolume(double sourceInteractionVolume)

      Sets the sourceInteractionVolume value for this FrcSplitResult.
      Parameters:
        `sourceInteractionVolume` -

    - #### getTargetInteractionVolume

          public double getTargetInteractionVolume()

      Gets the targetInteractionVolume value for this FrcSplitResult.
      Returns:
        targetInteractionVolume

    - #### setTargetInteractionVolume

          public void setTargetInteractionVolume(double targetInteractionVolume)

      Sets the targetInteractionVolume value for this FrcSplitResult.
      Parameters:
        `targetInteractionVolume` -

    - #### withBUID

          public FrcSplitResult withBUID(int value)

    - #### withVirtualActivityID

          public FrcSplitResult withVirtualActivityID(int value)

    - #### withSourceInteractionVolume

          public FrcSplitResult withSourceInteractionVolume(double value)

    - #### withTargetInteractionVolume

          public FrcSplitResult withTargetInteractionVolume(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.